-- By Nikolay Litvinov (gniklit@gmail.com)
-- Created On:	2016-03-22
-- Modified:	2016-03-22
-- tested using Max 2016

macroScript UVSetscale_macro
category:"Niklit Scripts"
internalCategory:"UVW Unwrap"
toolTip:"UV Setscale"
(
	--on isEnabled do()
	on execute do
	(
		rollout UVscale05_roll "UV Setscale"
		(
			spinner spnSc "Amount" range:[-2,2,0.5] scale:0.25 width:90 align:#left 
			button btnX "Scale X" width:90 align:#left
			button btnY "Scale Y" width:90 align:#left
			button btnClose "Close" width:90 align:#left
			on btnX pressed do (gco.ScaleSelectedXY spnSc.value 1 [0,0,0])
			on btnY pressed do (gco.ScaleSelectedXY 1 spnSc.value [0,0,0])
			on btnClose pressed do	destroyDialog UVscale05_roll
		)--end rollout UVscale05_roll
		
		local gco = modPanel.getCurrentObject()
		local dialogPos = [gco.getWindowX(), gco.getWindowY() + 42]
		createDialog UVscale05_roll modal:true pos:dialogPos width:110 style:#(#style_toolwindow)
	)--end on execute
)--end macroScript
